Package io.vertx.ext.auth.otp.totp

## Class TotpAuthOptions

- java.lang.Object
- - io.vertx.ext.auth.otp.totp.TotpAuthOptions

-     public class TotpAuthOptions
      extends Object

  Options configuring TOTP authentication.
  Author:
    Dmitry Novikov

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TotpAuthOptions()` |
    `TotpAuthOptions​(int passwordLength, int authAttemptsLimit, long period)` |
    `TotpAuthOptions​(JsonObject jsonObject)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getAuthAttemptsLimit()` |
    `int` | `getPasswordLength()` |
    `long` | `getPeriod()` |
    `boolean` | `isUsingAttemptsLimit()` |
    `TotpAuthOptions` | `setAuthAttemptsLimit​(int authAttemptsLimit)` |
    `TotpAuthOptions` | `setPasswordLength​(int passwordLength)` |
    `TotpAuthOptions` | `setPeriod​(long period)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TotpAuthOptions

          public TotpAuthOptions​(JsonObject jsonObject)

    - #### TotpAuthOptions

          public TotpAuthOptions()

    - #### TotpAuthOptions

          public TotpAuthOptions​(int passwordLength,
                                 int authAttemptsLimit,
                                 long period)

  - ### Method Detail

    - #### getPasswordLength

          public int getPasswordLength()

    - #### getAuthAttemptsLimit

          public int getAuthAttemptsLimit()

    - #### getPeriod

          public long getPeriod()

    - #### setPasswordLength

          public TotpAuthOptions setPasswordLength​(int passwordLength)

    - #### setAuthAttemptsLimit

          public TotpAuthOptions setAuthAttemptsLimit​(int authAttemptsLimit)

    - #### setPeriod

          public TotpAuthOptions setPeriod​(long period)

    - #### isUsingAttemptsLimit

          public boolean isUsingAttemptsLimit()